function varargout=slice(self,u,P,varargin)
  % plot function u on plan defined by p(1)*x+p(2)*y+p(3)*z+p(4)=0
  assert(self.d==3 && self.dim==3)
  if length(u)==self.nqGlobal
    ul=u(self.toGlobal);
  elseif length(u)==self.nqParent
    ul=u(self.toParent);
  else
    assert(length(u)==self.nq);
    ul=u;
  end
  view(3)
  s = fc_tools.graphics.gptoolbox.tsurf([1 1 1],self.q','Facecolor','interp','EdgeColor','none',varargin{:});
%caxis([min(u) max(u)]);
  [U,G,J,BC] = fc_tools.graphics.gptoolbox.slice_tets(self.q',self.me',P);
  set(s,'Vertices',U,'Faces',G,'CData',BC*ul);
  if nargout==1, varargout{1}=s;end
end